package com.fzm.mall.server.admin.enums.log;

/**
 * @author wangp
 * @date 2021/3/1 18:30
 * @description 操作类型
 * @since JDK 1.8
 */
public enum OperateTypeEnum {

    DEFAULT(-1),//默认
    LOGIN(0),//登陆
    REGISTER(1),//商户注册
    MERCHANT(2),//商户详情
    REPAIR_PWD(3),//修改密码
    GOODS(4),//商品
    ADD(5),//新增
    DELETE(6),//删除
    UPDATE(7),//更新
    USER_LOCK(8),//用户锁定/解锁
    MERCHANT_LOCK(9),//商户锁定/解锁
    RESET_PWD(10),//重置管理员登陆密码
    MERCHANT_CHECK(11),//商户审核
    ADD_GOODS(12),//新增商品
    EDIT_GOODS(13),//编辑商品
    ON_OFF(14),//上下架
    DEFAULT_FIRST(15),//默认第一个参数
    GOODS_CHECK(16),//商品审核
    ADD_INTEGRAL(17),//新增积分兑换商品
    REPAIR_INTEGRAL_STOCK(18),//修改积分兑换商品库存
    REPAIR_INTEGRAL_VALUE(19),//修改积分兑换商品积分值
    ADD_ROLE(20),//添加角色
    DEL_ROLE(21),//删除角色
    DISABLE_ROLE(22),//禁用角色
    EDIT_ROLE(23),//编辑角色
    ADD_ADMIN(24),//添加管理员
    DISABLE_ADMIN(25),//禁用管理员
    RESET_ADMIN_PWD(26),//重置管理员密码
    REPAIR_ADMIN_ROLE(27),//修改管理员角色
    DEL_ADMIN(28),//删除管理员
    FORGET_RESET_PWD(29);//忘记密码，重置密码

    private Integer behavior;

    OperateTypeEnum(Integer behavior) {
        this.behavior = behavior;
    }

    public Integer getBehavior() {
        return behavior;
    }

    public static OperateTypeEnum getByBehavior(Integer behavior) {
        for (OperateTypeEnum v : values()) {
            if (v.behavior.equals(behavior)) {
                return v;
            }
        }
        return null;
    }
}
